org.apache.storm.jdbc.common

## Class HikariCPConnectionProvider

- java.lang.Object
- - org.apache.storm.jdbc.common.HikariCPConnectionProvider

- All Implemented Interfaces:
    Serializable, ConnectionProvider

      public class HikariCPConnectionProvider
      extends Object
      implements ConnectionProvider

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HikariCPConnectionProvider(Map<String,Object> configMap)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanup()` called once when the system is shutting down, should be idempotent.
    `Connection` | `getConnection()` Get connection.
    `void` | `prepare()` method must be idempotent.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HikariCPConnectionProvider

          public HikariCPConnectionProvider(Map<String,Object> configMap)

  - ### Method Detail

    - #### prepare

          public void prepare()

      Description copied from interface: `ConnectionProvider`

      method must be idempotent.

      Specified by:
        `prepare` in interface `ConnectionProvider`

    - #### getConnection

          public Connection getConnection()

      Description copied from interface: `ConnectionProvider`

      Get connection.

      Specified by:
        `getConnection` in interface `ConnectionProvider`
      Returns:
        a DB connection over which the queries can be executed.

    - #### cleanup

          public void cleanup()

      Description copied from interface: `ConnectionProvider`

      called once when the system is shutting down, should be idempotent.

      Specified by:
        `cleanup` in interface `ConnectionProvider`

Copyright © 2021 The Apache Software Foundation. All rights reserved.